Ownership summary
curl --request GET \
--url https://www.prometheus.services/api/v1/companies/{id}/ownership \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/companies/{id}/ownership"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/companies/{id}/ownership', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cik": "0001045810",
"insiders": [
{
"ownerCik": "0001197649",
"name": "HUANG JEN HSUN",
"isDirector": true,
"isOfficer": true,
"isTenPercentOwner": false,
"officerTitle": "President and CEO",
"totalShares": 812004746,
"directShares": 70146252,
"indirectShares": 741858494,
"asOfDate": "2026-06-17",
"lastFilingDate": "2026-06-23",
"accessionNumber": "0001197649-26-000010"
},
{
"ownerCik": "0001199039",
"name": "STEVENS MARK A",
"isDirector": true,
"isOfficer": false,
"isTenPercentOwner": false,
"officerTitle": null,
"totalShares": 31769633,
"directShares": 11544612,
"indirectShares": 20225021,
"asOfDate": "2026-06-25",
"lastFilingDate": "2026-06-29",
"accessionNumber": "0001199039-26-000009"
},
{
"ownerCik": "0001197647",
"name": "COXE TENCH",
"isDirector": true,
"isOfficer": false,
"isTenPercentOwner": false,
"officerTitle": null,
"totalShares": 29581218,
"directShares": 57378,
"indirectShares": 29523840,
"asOfDate": "2026-08-05",
"lastFilingDate": "2026-08-07",
"accessionNumber": "0001197647-26-000007"
}
],
"notices": [
{
"accessionNumber": "0001950047-26-006396",
"filingDate": "2026-06-22",
"personName": "DONALD ROBERTSON",
"relationships": [
"Officer"
],
"matchedOwnerCik": "0001526111",
"unitsToSell": 4594,
"aggregateMarketValue": 967909.86,
"approxSaleDate": "2026-06-22",
"planAdoptionDate": "2025-09-18",
"brokerName": "Morgan Stanley Smith Barney LLC Executive Financial Services"
},
{
"accessionNumber": "0001628280-26-044430",
"filingDate": "2026-06-18",
"personName": "MARK A STEVENS",
"relationships": [
"Director"
],
"matchedOwnerCik": "0001199039",
"unitsToSell": 1700000,
"aggregateMarketValue": 347905000,
"approxSaleDate": "2026-06-18",
"planAdoptionDate": null,
"brokerName": "Merrill Lynch"
},
{
"accessionNumber": "0001973727-26-000026",
"filingDate": "2026-06-03",
"personName": "Neal Stephen C",
"relationships": [
"Director"
],
"matchedOwnerCik": "0001768670",
"unitsToSell": 15500,
"aggregateMarketValue": 3343863.05,
"approxSaleDate": "2026-06-03",
"planAdoptionDate": null,
"brokerName": "BofA Securities, Inc."
}
],
"institutions": [
{
"managerCik": "0002012383",
"managerName": "BlackRock, Inc.",
"periodOfReport": "2026-06-30",
"accessionNumber": "0002012383-26-003238",
"shares": 1941918386,
"valueUsd": 388558449933,
"pctOfSharesOut": 8.0175
},
{
"managerCik": "0002100119",
"managerName": "VANGUARD CAPITAL MANAGEMENT LLC",
"periodOfReport": "2026-06-30",
"accessionNumber": "0002100119-26-001527",
"shares": 1540816358,
"valueUsd": 308301945072,
"pctOfSharesOut": 6.3615
},
{
"managerCik": "0000315066",
"managerName": "FMR LLC",
"periodOfReport": "2026-06-30",
"accessionNumber": "0000315066-26-002260",
"shares": 1026051548,
"valueUsd": 205302654261,
"pctOfSharesOut": 4.2362
}
]
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}Ownership & Insiders
Ownership summary
Institutional (13F) and insider ownership summary.
GET
/
api
/
v1
/
companies
/
{id}
/
ownership
Ownership summary
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
Ticker symbol (e.g. NVDA) or numeric SEC CIK (zero-padding optional).
Response
OK
The response is of type object.
⌘I